player_actarray_geom Struct Reference

Request/reply: get geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | actuators_count
| The number of actuators in the array. More...
player_actarray_actuatorgeom_t * | actuators
| The geometry information for each actuator in the array. More...
player_point_3d_t | base_pos
| The position of the base of the actarray. More...
player_orientation_3d_t | base_orientation
| The orientation of the base of the actarray. More...

## Detailed Description

Request/reply: get geometry.

Send a null PLAYER_ACTARRAY_REQ_GET_GEOM request to receive the geometry in this form.

## Member Data Documentation

player_actarray_actuatorgeom_t* player_actarray_geom::actuators

The geometry information for each actuator in the array.

uint32_t player_actarray_geom::actuators_count

The number of actuators in the array.

player_orientation_3d_t player_actarray_geom::base_orientation

The orientation of the base of the actarray.

This is distinct from the orientation of the first actuator in the array.

player_point_3d_t player_actarray_geom::base_pos

The position of the base of the actarray.

This should always be the position of the first actuator in the array.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45